<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: _scconf_item Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">_scconf_item Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="scconf_8h_source.html">scconf.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:af8affd003f82b7208a580ee5cb56da0c"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="struct__scconf__item.html">_scconf_item</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__item.html#af8affd003f82b7208a580ee5cb56da0c">next</a></td></tr>
<tr class="separator:af8affd003f82b7208a580ee5cb56da0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac765329451135abec74c45e1897abf26"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__item.html#ac765329451135abec74c45e1897abf26">type</a></td></tr>
<tr class="separator:ac765329451135abec74c45e1897abf26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5892a9181e6a332f84d27aecd41dcd12"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__item.html#a5892a9181e6a332f84d27aecd41dcd12">key</a></td></tr>
<tr class="separator:a5892a9181e6a332f84d27aecd41dcd12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5051e470111f9c0a5fbf09152fe7b7fb"><td class="memItemLeft" >union {</td></tr>
<tr class="memitem:a25dae25c3bf9b28d54eb4df7afb2a491"><td class="memItemLeft" >&#160;&#160;&#160;char *&#160;&#160;&#160;<a class="el" href="struct__scconf__item.html#a25dae25c3bf9b28d54eb4df7afb2a491">comment</a></td></tr>
<tr class="separator:a25dae25c3bf9b28d54eb4df7afb2a491"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abba81c977d8901de66b169a60d8481e1"><td class="memItemLeft" >&#160;&#160;&#160;<a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a> *&#160;&#160;&#160;<a class="el" href="struct__scconf__item.html#abba81c977d8901de66b169a60d8481e1">block</a></td></tr>
<tr class="separator:abba81c977d8901de66b169a60d8481e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa2544dbadef96351e62c5a00e20646b"><td class="memItemLeft" >&#160;&#160;&#160;<a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a> *&#160;&#160;&#160;<a class="el" href="struct__scconf__item.html#aaa2544dbadef96351e62c5a00e20646b">list</a></td></tr>
<tr class="separator:aaa2544dbadef96351e62c5a00e20646b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5051e470111f9c0a5fbf09152fe7b7fb"><td class="memItemLeft" valign="top">}&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__item.html#a5051e470111f9c0a5fbf09152fe7b7fb">value</a></td></tr>
<tr class="separator:a5051e470111f9c0a5fbf09152fe7b7fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00066">66</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="abba81c977d8901de66b169a60d8481e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abba81c977d8901de66b169a60d8481e1">&#9670;&nbsp;</a></span>block</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#aa1a6aa691197930df0da465dabadbc7d">scconf_block</a>* block</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00072">72</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a25dae25c3bf9b28d54eb4df7afb2a491"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25dae25c3bf9b28d54eb4df7afb2a491">&#9670;&nbsp;</a></span>comment</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* comment</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00071">71</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a5892a9181e6a332f84d27aecd41dcd12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5892a9181e6a332f84d27aecd41dcd12">&#9670;&nbsp;</a></span>key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* key</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00069">69</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="aaa2544dbadef96351e62c5a00e20646b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa2544dbadef96351e62c5a00e20646b">&#9670;&nbsp;</a></span>list</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="scconf_8h.html#aa8f1073e79bcffa437a0050fad1a2b06">scconf_list</a>* list</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00073">73</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="af8affd003f82b7208a580ee5cb56da0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8affd003f82b7208a580ee5cb56da0c">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="struct__scconf__item.html">_scconf_item</a>* next</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00067">67</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="ac765329451135abec74c45e1897abf26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac765329451135abec74c45e1897abf26">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="scconf_8h_source.html#l00068">68</a> of file <a class="el" href="scconf_8h_source.html">scconf.h</a>.</p>

</div>
</div>
<a id="a5051e470111f9c0a5fbf09152fe7b7fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5051e470111f9c0a5fbf09152fe7b7fb">&#9670;&nbsp;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union { ... }   value</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="scconf_8h_source.html">scconf.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
